<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="CLcom"
	ProjectGUID="{5D4357D3-2D56-4325-A9C4-A50948F308BE}"
	Keyword="AtlProj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="../build"
			IntermediateDirectory="../build/tmp/msvc7/$(ProjectName)/$(ConfigurationName)"
			ConfigurationType="2"
			UseOfATL="2"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../src/;./;../"
				PreprocessorDefinitions="WIN32;_WINDOWS;_DEBUG;_USRDLL;OVERRIDE_DEFAULT_CLCONFIG;_DEMO"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="5"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"
				CallingConvention="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				IgnoreImportLibrary="TRUE"
				OutputFile="$(OutDir)/CLcom.dll"
				LinkIncremental="2"
				ModuleDefinitionFile=".\CLcom.def"
				GenerateDebugInformation="TRUE"
				SubSystem="2"
				ImportLibrary="$(OutDir)/CLcom.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="FALSE"
				TargetEnvironment="1"
				GenerateStublessProxies="TRUE"
				TypeLibraryName="$(IntDir)/CLcom.tlb"
				HeaderFileName="gen\CLcom.h"
				DLLDataFileName="gen\dlldata.c"
				InterfaceIdentifierFileName="gen\CLcom_i.c"
				ProxyFileName="gen\CLcom_p.c"/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Performing registration"
				CommandLine="regsvr32 /s /c &quot;$(TargetPath)&quot;"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="$(IntDir)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="../build"
			IntermediateDirectory="../build/tmp/msvc7/$(ProjectName)/$(ConfigurationName)"
			ConfigurationType="2"
			UseOfATL="1"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="TRUE"
				ImproveFloatingPointConsistency="FALSE"
				FavorSizeOrSpeed="1"
				OptimizeForWindowsApplication="FALSE"
				AdditionalIncludeDirectories="../../src/;./;../"
				PreprocessorDefinitions="WIN32;_WINDOWS;NDEBUG;_USRDLL;OVERRIDE_DEFAULT_CLCONFIG;_DEMO"
				StringPooling="TRUE"
				RuntimeLibrary="4"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="3"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				CallingConvention="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				IgnoreImportLibrary="TRUE"
				OutputFile="$(OutDir)/CLcom.dll"
				LinkIncremental="1"
				ModuleDefinitionFile=".\CLcom.def"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="$(OutDir)/CLcom.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="FALSE"
				TargetEnvironment="1"
				GenerateStublessProxies="TRUE"
				TypeLibraryName="$(IntDir)/CLcom.tlb"
				HeaderFileName="gen\CLcom.h"
				DLLDataFileName="gen\dlldata.c"
				InterfaceIdentifierFileName="gen\CLcom_i.c"
				ProxyFileName="gen\CLcom_p.c"/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="Performing registration"
				CommandLine="regsvr32 /s /c &quot;$(TargetPath)&quot;"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="$(IntDir)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
			<File
				RelativePath=".\native\CLcom.cpp">
			</File>
			<File
				RelativePath="CLcom.def">
			</File>
			<File
				RelativePath="..\..\src\CLucene\CLMonolithic.cpp">
			</File>
			<File
				RelativePath=".\native\stdafx.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc">
			<File
				RelativePath="..\AltCLConfig.h">
			</File>
			<File
				RelativePath="..\bindings.h">
			</File>
			<File
				RelativePath=".\native\CLcomHeader.h">
			</File>
			<File
				RelativePath=".\local_AltCLConfig.h">
			</File>
			<File
				RelativePath=".\native\stdafx.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
			<File
				RelativePath="CLcom.rc">
			</File>
			<File
				RelativePath="CLcom.rgs">
			</File>
			<File
				RelativePath="regTemplate.rgs">
			</File>
		</Filter>
		<Filter
			Name="Generated Files"
			SourceControlFiles="FALSE">
			<File
				RelativePath=".\gen\CLcom.h">
			</File>
			<File
				RelativePath="gen\CLcom_i.c">
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Cpp2COM"
			Filter="">
			<File
				RelativePath="CLcom.idl">
			</File>
			<File
				RelativePath=".\CLcomImpl.cpp">
			</File>
			<File
				RelativePath=".\CLcomImpl.h">
			</File>
		</Filter>
		<File
			RelativePath="ReadMe.txt">
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
